# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kitemmodels': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kpackage': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/modemmanager-qt': '@latest-kf6'
    'frameworks/networkmanager-qt': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'plasma/kwayland': '@same'
    'plasma/libkscreen': '@same'
    'plasma/libplasma': '@same'
    'plasma/kwin': '@same'
    'plasma/plasma-workspace': '@same'
    'libraries/kirigami-addons': '@latest-kf6'
Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']

RuntimeDependencies:
- 'on': ['Linux']
  'require':
    'plasma/plasma-nm': '@same'
    'plasma/plasma-pa': '@same'
    'plasma/bluedevil': '@same'
    'plasma/milou': '@same'
    'plasma/qqc2-breeze-style': '@same'
    'frameworks/bluez-qt': '@latest-kf6'
- 'on': ['Linux', 'FreeBSD']
  'require':
    'plasma/milou' : '@same'
